if RequiredScript == "lib/units/beings/player/states/playerstandard" then
	local win32 = SystemInfo:platform() == Idstring("WIN32")

	function PlayerStandard:_get_input(t, dt, paused)
		if self._state_data.controller_enabled ~= self._controller:enabled() then
			if self._state_data.controller_enabled then
				self._state_data.controller_enabled = self._controller:enabled()
	
				return self:_create_on_controller_disabled_input()
			end
		elseif not self._state_data.controller_enabled then
			local input = {
				is_customized = true,
				btn_interact_release = managers.menu:get_controller():get_input_released("interact")
			}
	
			return input
		end
	
		self._state_data.controller_enabled = self._controller:enabled()
		local pressed = self._controller:get_any_input_pressed()
		local released = self._controller:get_any_input_released()
		local downed = self._controller:get_any_input()
	
		if paused then
			self._input_paused = true
		elseif not downed then
			self._input_paused = false
		end
	
		if not pressed and not released and not downed and not self._forced_inputs or self._input_paused then
			return {}
		end
	
		local input = {
			data = {
				_unit = self._unit
			},
			any_input_pressed = pressed,
			any_input_released = released,
			any_input_downed = downed,
			btn_stats_screen_press = pressed and not self._unit:base():stats_screen_visible() and self._controller:get_input_pressed("stats_screen"),
			btn_stats_screen_release = released and self._unit:base():stats_screen_visible() and self._controller:get_input_released("stats_screen"),
			btn_duck_press = pressed and self._controller:get_input_pressed("duck"),
			btn_duck_release = released and self._controller:get_input_released("duck"),
			--here, changed 'pressed' to 'downed' and 'get_input_pressed' to 'get_input_bool'
			btn_jump_press = downed and self._controller:get_input_bool("jump"),
			btn_primary_attack_press = pressed and self._controller:get_input_pressed("primary_attack"),
			btn_primary_attack_state = downed and self._controller:get_input_bool("primary_attack"),
			btn_primary_attack_release = released and self._controller:get_input_released("primary_attack"),
			btn_reload_press = pressed and self._controller:get_input_pressed("reload"),
			btn_steelsight_press = pressed and self._controller:get_input_pressed("secondary_attack"),
			btn_steelsight_release = released and self._controller:get_input_released("secondary_attack"),
			btn_steelsight_state = downed and self._controller:get_input_bool("secondary_attack"),
			btn_interact_press = pressed and self._controller:get_input_pressed("interact"),
			btn_interact_release = released and self._controller:get_input_released("interact"),
			btn_run_press = pressed and self._controller:get_input_pressed("run"),
			btn_run_release = released and self._controller:get_input_released("run"),
			btn_run_state = downed and self._controller:get_input_bool("run"),
			btn_switch_weapon_press = pressed and self._controller:get_input_pressed("switch_weapon"),
			btn_use_item_press = pressed and self._controller:get_input_pressed("use_item"),
			btn_use_item_release = released and self._controller:get_input_released("use_item"),
			btn_melee_press = pressed and self._controller:get_input_pressed("melee"),
			btn_melee_release = released and self._controller:get_input_released("melee"),
			btn_meleet_state = downed and self._controller:get_input_bool("melee"),
			btn_weapon_gadget_press = pressed and self._controller:get_input_pressed("weapon_gadget"),
			btn_throw_grenade_press = pressed and self._controller:get_input_pressed("throw_grenade"),
			btn_projectile_press = pressed and self._controller:get_input_pressed("throw_grenade"),
			btn_projectile_release = released and self._controller:get_input_released("throw_grenade"),
			btn_projectile_state = downed and self._controller:get_input_bool("throw_grenade"),
			btn_weapon_firemode_press = pressed and self._controller:get_input_pressed("weapon_firemode"),
			btn_cash_inspect_press = pressed and self._controller:get_input_pressed("cash_inspect"),
			btn_deploy_bipod = pressed and self._controller:get_input_pressed("deploy_bipod"),
			btn_change_equipment = pressed and self._controller:get_input_pressed("change_equipment"),
			btn_interact_secondary_press = pressed and self._controller:get_input_pressed("interact_secondary")
		}
	
		if win32 then
			local i = 1
	
			while i < 3 do
				if self._controller:get_input_pressed("primary_choice" .. i) then
					input.btn_primary_choice = i
	
					break
				end
	
				i = i + 1
			end
		end
	
		if self._input then
			for i = 1, #self._input do
				self._input[i]:update(t, dt, self._controller, input, self._ext_movement:current_state_name())
			end
		end
	
		if self._forced_inputs then
			for key, value in pairs(self._forced_inputs) do
				input[key] = value
			end
	
			if self._forced_release_inputs then
				self._forced_inputs = self._forced_release_inputs
				self._forced_release_inputs = nil
			else
				self._forced_inputs = nil
			end
		end
	
		return input
	end
end